cURL
curl -X PATCH "$EXSITED_BASE_URL/api/v4/components/cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d/objects/a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e/notes/e7f9a1b3c5d74e9f8a2b4c6d8e0f1a3b" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
--form-string 'note=<p>Renewal call moved to Friday.</p>'from exsited import build_client
client = build_client()
response = client.custom_components.update_component_object_note(
"cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d",
"a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e",
"e7f9a1b3c5d74e9f8a2b4c6d8e0f1a3b",
"<p>Renewal call moved to Friday.</p>",
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.customComponents.updateComponentObjectNote(
'cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d',
'a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e',
'e7f9a1b3c5d74e9f8a2b4c6d8e0f1a3b',
'<p>Renewal call moved to Friday.</p>',
);
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->customComponents->updateComponentObjectNote(
'cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d',
'a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e',
'e7f9a1b3c5d74e9f8a2b4c6d8e0f1a3b',
'<p>Renewal call moved to Friday.</p>',
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.custom_components.custom_components_dto.CustomComponentsDto.ComponentObjectNote;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<ComponentObjectNote> response = client.customComponents().updateComponentObjectNote(
"cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d",
"a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e",
"e7f9a1b3c5d74e9f8a2b4c6d8e0f1a3b",
"<p>Renewal call moved to Friday.</p>");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.CustomComponents.UpdateComponentObjectNoteAsync(
"cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d",
"a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e",
"e7f9a1b3c5d74e9f8a2b4c6d8e0f1a3b",
"<p>Renewal call moved to Friday.</p>");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.customComponents.updateComponentObjectNote(
'cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d',
'a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e',
'e7f9a1b3c5d74e9f8a2b4c6d8e0f1a3b',
'<p>Renewal call moved to Friday.</p>',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.CustomComponents().UpdateComponentObjectNote(context.Background(), "cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d", "a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e", "e7f9a1b3c5d74e9f8a2b4c6d8e0f1a3b", "<p>Renewal call moved to Friday.</p>", nil, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"note": {
"object": "<string>",
"id": "<string>",
"content": "<string>",
"custom_component_object": {
"href": "<string>",
"id": "<string>",
"object": "<string>"
},
"group": "<unknown>",
"user": "<unknown>",
"attachments": [
{
"uuid": "<string>",
"filename": "<string>",
"content_type": "<string>",
"size": 123,
"href": "<string>"
}
],
"watchers": [
{}
],
"created_on": "<string>",
"last_updated_on": "<string>",
"created_by": {
"name": "<string>",
"object": "<string>"
},
"last_updated_by": {
"name": "<string>",
"object": "<string>"
},
"version": 123,
"href": "<string>"
}
}Custom components
Update a component object note
Changes a note’s text, with optional files, and returns the note, under note.
PATCH
/
components
/
{component_uuid}
/
objects
/
{component_object_id}
/
notes
/
{note_id}
cURL
curl -X PATCH "$EXSITED_BASE_URL/api/v4/components/cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d/objects/a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e/notes/e7f9a1b3c5d74e9f8a2b4c6d8e0f1a3b" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
--form-string 'note=<p>Renewal call moved to Friday.</p>'from exsited import build_client
client = build_client()
response = client.custom_components.update_component_object_note(
"cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d",
"a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e",
"e7f9a1b3c5d74e9f8a2b4c6d8e0f1a3b",
"<p>Renewal call moved to Friday.</p>",
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.customComponents.updateComponentObjectNote(
'cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d',
'a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e',
'e7f9a1b3c5d74e9f8a2b4c6d8e0f1a3b',
'<p>Renewal call moved to Friday.</p>',
);
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->customComponents->updateComponentObjectNote(
'cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d',
'a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e',
'e7f9a1b3c5d74e9f8a2b4c6d8e0f1a3b',
'<p>Renewal call moved to Friday.</p>',
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.custom_components.custom_components_dto.CustomComponentsDto.ComponentObjectNote;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<ComponentObjectNote> response = client.customComponents().updateComponentObjectNote(
"cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d",
"a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e",
"e7f9a1b3c5d74e9f8a2b4c6d8e0f1a3b",
"<p>Renewal call moved to Friday.</p>");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.CustomComponents.UpdateComponentObjectNoteAsync(
"cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d",
"a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e",
"e7f9a1b3c5d74e9f8a2b4c6d8e0f1a3b",
"<p>Renewal call moved to Friday.</p>");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.customComponents.updateComponentObjectNote(
'cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d',
'a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e',
'e7f9a1b3c5d74e9f8a2b4c6d8e0f1a3b',
'<p>Renewal call moved to Friday.</p>',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.CustomComponents().UpdateComponentObjectNote(context.Background(), "cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d", "a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e", "e7f9a1b3c5d74e9f8a2b4c6d8e0f1a3b", "<p>Renewal call moved to Friday.</p>", nil, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"note": {
"object": "<string>",
"id": "<string>",
"content": "<string>",
"custom_component_object": {
"href": "<string>",
"id": "<string>",
"object": "<string>"
},
"group": "<unknown>",
"user": "<unknown>",
"attachments": [
{
"uuid": "<string>",
"filename": "<string>",
"content_type": "<string>",
"size": 123,
"href": "<string>"
}
],
"watchers": [
{}
],
"created_on": "<string>",
"last_updated_on": "<string>",
"created_by": {
"name": "<string>",
"object": "<string>"
},
"last_updated_by": {
"name": "<string>",
"object": "<string>"
},
"version": 123,
"href": "<string>"
}
}Send a multipart form, as for the create, with the new text in the
note field and any files beside it. The updated note comes back with its version raised by one.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The component definition's id, which starts with cmp_.
The component object's id, as returned when it is created or listed.
The note's id, as returned when it is created or listed.
Body
multipart/form-data
Response
200 - application/json
The updated note, under note.
Show child attributes
Show child attributes